Package org.lwjgl.opengl

# Class ARBSamplerObjects

java.lang.Object
org.lwjgl.opengl.ARBSamplerObjects

public final class ARBSamplerObjects extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_SAMPLER_BINDING`
Accepted by the <value> parameter of the GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv and GetDoublev functions:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glBindSampler(int unit, int sampler)`
`static void`
`glDeleteSamplers(int sampler)`
Overloads glDeleteSamplers.
`static void`
`glDeleteSamplers(IntBuffer samplers)`
`static int`
`glGenSamplers()`
Overloads glGenSamplers.
`static void`
`glGenSamplers(IntBuffer samplers)`
`static void`
`glGetSamplerParameter(int sampler, int pname, FloatBuffer params)`
`static void`
`glGetSamplerParameter(int sampler, int pname, IntBuffer params)`
`static float`
`glGetSamplerParameterf(int sampler, int pname)`
Overloads glGetSamplerParameterfv.
`static int`
`glGetSamplerParameteri(int sampler, int pname)`
Overloads glGetSamplerParameteriv.
`static void`
`glGetSamplerParameterI(int sampler, int pname, IntBuffer params)`
`static int`
`glGetSamplerParameterIi(int sampler, int pname)`
Overloads glGetSamplerParameterIiv.
`static void`
`glGetSamplerParameterIu(int sampler, int pname, IntBuffer params)`
`static int`
`glGetSamplerParameterIui(int sampler, int pname)`
Overloads glGetSamplerParameterIuiv.
`static boolean`
`glIsSampler(int sampler)`
`static void`
`glSamplerParameter(int sampler, int pname, FloatBuffer params)`
`static void`
`glSamplerParameter(int sampler, int pname, IntBuffer params)`
`static void`
`glSamplerParameterf(int sampler, int pname, float param)`
`static void`
`glSamplerParameteri(int sampler, int pname, int param)`
`static void`
`glSamplerParameterI(int sampler, int pname, IntBuffer params)`
`static void`
`glSamplerParameterIu(int sampler, int pname, IntBuffer params)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_SAMPLER_BINDING

public static final int GL_SAMPLER_BINDING
Accepted by the <value> parameter of the GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv and GetDoublev functions:

See Also:
  - Constant Field Values

## Method Details

### glGenSamplers

public static void glGenSamplers(IntBuffer samplers)

### glGenSamplers

public static int glGenSamplers()
Overloads glGenSamplers.

### glDeleteSamplers

public static void glDeleteSamplers(IntBuffer samplers)

### glDeleteSamplers

public static void glDeleteSamplers(int sampler)
Overloads glDeleteSamplers.

### glIsSampler

public static boolean glIsSampler(int sampler)

### glBindSampler

public static void glBindSampler(int unit, int sampler)

### glSamplerParameteri

public static void glSamplerParameteri(int sampler, int pname, int param)

### glSamplerParameterf

public static void glSamplerParameterf(int sampler, int pname, float param)

### glSamplerParameter

public static void glSamplerParameter(int sampler, int pname, IntBuffer params)

### glSamplerParameter

public static void glSamplerParameter(int sampler, int pname, FloatBuffer params)

### glSamplerParameterI

public static void glSamplerParameterI(int sampler, int pname, IntBuffer params)

### glSamplerParameterIu

public static void glSamplerParameterIu(int sampler, int pname, IntBuffer params)

### glGetSamplerParameter

public static void glGetSamplerParameter(int sampler, int pname, IntBuffer params)

### glGetSamplerParameteri

public static int glGetSamplerParameteri(int sampler, int pname)
Overloads glGetSamplerParameteriv.

### glGetSamplerParameter

public static void glGetSamplerParameter(int sampler, int pname, FloatBuffer params)

### glGetSamplerParameterf

public static float glGetSamplerParameterf(int sampler, int pname)
Overloads glGetSamplerParameterfv.

### glGetSamplerParameterI

public static void glGetSamplerParameterI(int sampler, int pname, IntBuffer params)

### glGetSamplerParameterIi

public static int glGetSamplerParameterIi(int sampler, int pname)
Overloads glGetSamplerParameterIiv.

### glGetSamplerParameterIu

public static void glGetSamplerParameterIu(int sampler, int pname, IntBuffer params)

### glGetSamplerParameterIui

public static int glGetSamplerParameterIui(int sampler, int pname)
Overloads glGetSamplerParameterIuiv.